# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Parse.pm) perl(ExtUtils/MakeMaker.pm) perl(Image/Info.pm) perl(Plucene/SearchEngine/Index.pm) perl(Plucene/SearchEngine/Index/Base.pm) perl(Test/More.pm) perl(Time/Piece.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Plucene-SearchEngine-Index-Image
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Backend for mining data about images
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SI/SIMON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Upon installation, this acts as a handler for images, using
`Image::Info' to populate the following Plucene fields:

=over 3

=item size

The dimensions of the image.

=item text

Any comments found in the image.

=item subtype

The type of image. (`jpg', `png', etc.)

=item created

A Plucene data field representing the last modified date encoded in the
image itself.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

